﻿Imports System.Globalization

Namespace CustomLocalization
    Public Class CultureChangeErrorEventArgs
        Inherits EventArgs
        Private _Culture As CultureInfo
        Public Property Culture As CultureInfo
            Get
                Return _Culture
            End Get
            Private Set(ByVal value As CultureInfo)
                _Culture = value
            End Set
        End Property
        Private _Error As Exception
        Public Property [Error] As Exception
            Get
                Return _Error
            End Get
            Private Set(ByVal value As Exception)
                _Error = value
            End Set
        End Property

        Public Sub New(ByVal culture As CultureInfo, ByVal [error] As Exception)
            Me.Culture = culture
            Me.Error = [error]
        End Sub
    End Class
End Namespace