﻿Imports System.Linq

Namespace CustomLocalization.Web
    Public Class LocaleService
        Implements ILocaleService
        Private ReadOnly dataContext As New acmeDataContext

        Public Function GetResources(ByVal cultureName As String) As Dictionary(Of String, String) Implements ILocaleService.GetResources
            Return (
                From r In dataContext.StringResources
                Where r.LocaleId = cultureName
                Select r).ToDictionary(Function(x) x.Key, Function(x) x.Value)
        End Function
    End Class
End Namespace